Update Customer Status

Lets you update a customer's status label.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API allows you to change a customer’s status label. You can update it to any label you have created under Customer Status.

For example, If the customer’s status is Active with the label High Value, and you change it to the label Suspicious (which belongs to the Suspended status), the customer’s status changes to Suspended – Suspicious.

Example request

curl --location --request PUT 'https://eu.api.capillarytech.com/v2/customers/lookup/status?source=INSTORE&identifierName=mobile&identifierValue=1234512345' \
--header 'Content-Type: application/json' \
--header 'Authorization: Basic bWFkaHVjU2YQ==' \
--header 'Cookie: _cfuvid=u.FXEWGIFxRTWlxnX1uVFsC8Crqv3PQFE1EEdj0cAUs-1762341421523-0.0.1.1-604800000' \
--data '{
  "reason": "testing2",
  "label": "Active"
}'

Example response

{
    "createdId": 566881933,
    "warnings": []
}

API specific Error Code

Error CodeDescriptionReason
8003Invalid sourceSource value is missing or incorrect.
8013Lookup, Invalid identifier passedIdentifier is missing or invalid.
8015Customer not found for the given identifiersValid customer identifiers not passed.
Query Params
string
enum
required

Source in which you want to update customer status. For sources that support multiple accounts, you also need to provide the associated account id.

string

Account from which the customer's status needs to be updated (Required only for sources with multiple accounts)

boolean

Pass true to run loyalty activities in the background, side effects will not be returned in the API response. If false, API will wait for Loyalty activities to complete and then respond to the client with side effects in the API response.

string
enum
required

Identifier used to identify the customer.

string
required

Value of the specified identifier.

Body Params
string
required

Reason for the update.

date

Date and time of creation in ISO standard format (YYYY-MM-DDTHH:mm:ssZ).

string
required

Predefined label name to update with.

string

curl --location --request PUT 'eu.api.capillarytech.com/v2/customers/lookup/status?source=INSTORE&identifierName=email&identifierValue=anjaney.vatsal%40capillarytech.com' \ --header 'X-CAP-API-AUTH-KEY: Qjc0M0ExMDE0MDBBMTUzRDVFRTVFNDI0N0Q5QzAxOEI=' \ --header 'X-CAP-API-AUTH-ORG-ID: 1661' \ --header 'Content-Type: application/json' \ --header 'Authorization: Basic bmVlc3RvcmV0aWxsc3NuZWUyMzoyMDJjYjk2MmFjNTkwNzViOTY0YjA3MTUyZDIzNGI3MA==' \ --header 'Cookie: _cfuvid=4BcdCZZz9edVBFZcJ3.c.cNYIWm7ET7K4ztniWevNbM-1732691082386-0.0.1.1-604800000' \ --data '{ "reason": "testing2", "label": "Active" }'

Headers
string
Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json